Subject: Re: [lojban] morphology

From: "Bob LeChevalier (lojbab)" <[email-masked]>
Date: Sun, 12 Mar 2000 15:22:52 -0500

At 11:02 PM 03/12/2000 +0300, Cyril Slobin wrote:
>la lojbab. cusku di'e:
> > Here is the last draft I have of the Lojban morphology algorithm,
> > dated 7 June 92.
>
> > Morphology Algorithm
> > Draft 4.0
>
>There is newer version on lojban.org site,
>
> > Morphology Algorithm
> > Internal Revision 4.1, 8 June 1992
>
>It is inside archive named brkwords.zip together with word-breaking
>program (ms-dos executable and incomplete pascal source).

Oops - I had thought there might be one in brkwords, but I didn't look in 
the zip file.

>Texts of 4.0 and 4.1 versions are different, but I believe there are
>clarifications and editorial changes, not changes of algorithm itself.
>However I haven't compared them thoroughly to be really sure.

I am sure there is a minor change, probably some bug she found in 
testing. Nora did not generate new versions just for editorial purposes.

>Also I believe the pascal program implements an algorithm described in
>english text, but again I haven't made thorough verification.

It is supposed to, but at the time, we did not have the wherewithal to do a 
proper test - the number of possible cases is too large, even with a 
relatively small test string (say 20 characters or less).

lojbab
----
lojbab [email-masked]
Bob LeChevalier, President, The Logical Language Group, Inc.
2904 Beau Lane, Fairfax VA 22031-1303 USA 703-385-0273
Artificial language Loglan/Lojban: http://www.lojban.org (newly updated!)